from rest_framework.routers import DefaultRouter
from django.urls import path, include
from LiveStock.LiveStoksAndPoultry import views as live_stock_views
from LiveStock.LiveStoksAndPoultry.excel_processing import create_live_stock_and_rancher_from_excel
from LiveStock.LiveStoksAndPoultry.helpers import add_birthday
from LiveStock.LiveStoksAndPoultry.views import dashboard_live_stock
from LiveStock.Rancher.excel_processing import get_rancher_excel, get_union_excel, get_cooperative_excel

router = DefaultRouter()
router.register(
    r'live-stock-view',
    live_stock_views.LiveStockViewSet,
    basename="live-stock-view"
)
router.register(
    r'pos-live-stock',
    live_stock_views.PosLiveStockViewSet,
    basename="pos-live-stock"
)


urlpatterns = [
    path('', include(router.urls)),
    path('dashboard_live_stock/', dashboard_live_stock),
    path('add_birthday/', add_birthday),
    path('create_live_stock_and_rancher_from_excel/', create_live_stock_and_rancher_from_excel),

]